NEED HELP FOR DOWNGRADE, thanks

Problems with the Linux version of XAMPP, questions, comments, and anything related.

NEED HELP FOR DOWNGRADE, thanks

Postby ifly3years » 17. January 2009 15:18

just upgrade my xampp ,form 1.6.8a to 1.7

but it can't work, the problem is my system was too old.
when i start xampp , the info is :
-----------------------------------------------------------------
Starting XAMPP for Linux 1.7...
XAMPP: Starting Apache with SSL (and PHP5)...
XAMPP: Error 1! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.
XAMPP: Please contact our forum http://community.apachefriends.org/f/
XAMPP: Starting MySQL...
XAMPP: Starting ProFTPD...
XAMPP: /opt/lampp/sbin/proftpd: /lib/libc.so.6: version `GLIBC_2.3.4' not found (required by /opt/lampp/sbin/proftpd)
XAMPP: Error 1! Couln't start ProFTPD!
XAMPP for Linux started.
------------------------------------------------------------------------


apache can't start ,the reason is same as proftp,just the old system.
but ,system upgrade is a huge thing....


i reinstall a new 1.6.8a xampp,but it can't work well, sometime the apache can't start, or mysql can't work ,,,,,
...
the best way is to downgrade, change the upgraded program back .
to upgrade my system is more hard, so i need some way to downgrade xampp, did someone do this?
ifly3years
 
Posts: 2
Joined: 17. January 2009 14:54

Re: NEED HELP FOR DOWNGRADE, thanks

Postby Nobbie » 17. January 2009 22:01

>so i need some way to downgrade xampp, did someone do this?

There is only one way - you *should* have done a backup of your Xampp before upgrading (what is recommended). Didn't you?
Nobbie
 
Posts: 8770
Joined: 09. March 2008 13:04

Re: NEED HELP FOR DOWNGRADE, thanks

Postby ifly3years » 18. January 2009 01:12

Nobbie wrote:>so i need some way to downgrade xampp, did someone do this?

There is only one way - you *should* have done a backup of your Xampp before upgrading (what is recommended). Didn't you?


i am regretting endless........
for my exprence,i just think the upgrade is copy files simply. so that was a laze.....
BTW, i have a lot files in the xampp, if all it be backup, the new harddisk must be needed, unless check only the needed.

so ,this problem told me that ,never try someting new ,,,,unless u have the enough control.
just a enter key, make me so much trouble....

maybe the developmenter of xampp can think about downgrade program , that will be used some condion.
but i can't use, because ,i just have had reinstall a new lampp , it work not ok ,the apache can't start. and the mysql can't be end. strenge ,so i decide reset all system ,it will be a hard work,,i am crying, :((((((((
ifly3years
 
Posts: 2
Joined: 17. January 2009 14:54


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests